Modify

#140 closed defect (fixed)

jabber connection lost when sending colored text

Reported by: stretter@… Owned by:
Priority: normal Milestone:
Component: Jabber Version: devel
Keywords: ascii Cc:
IRC client+version: Client-independent / irssi Operating System: Linux
OS version/distro: gentoo

Description

ok, i dont know if its actually a bug, but anyway: im using irssi with an ascii script (http://irssi.org/scripts/scripts/ascii.pl) that allows me to send colored text. if i do so in a bilbee/jabber conversation, the connection gets lost (didnt try it with other protokolls, but i asume its the same).

Attachments (0)

Change History (4)

comment:1 Changed at 2006-10-07T22:50:54Z by wilmer

Component: BitlBeeJabber

Oops, I'm sorry for the late reaction. :-)

Yes, this *is* specific to Jabber, and it's actually the Jabber server disconnecting from BitlBee because it doesn't like the characters you're sending. I'm not sure if this is a BitlBee bug or not. BitlBee could just strip them, but not sending that kind of stuff sounds like a solution to me too. ;-)

Other IM protocols don't mind the characters and just pass them through.

comment:2 Changed at 2007-08-30T21:46:23Z by fosco

Ok, so it is a jabber server doing stupid things, as usual.

Could it be possible to strip these characters, maybe not by default but available as an option?

This is really annoying on jabberd 1.4 :\

comment:3 Changed at 2007-12-06T10:09:10Z by misc@…

It would be nice to translate this to xhtml ( http://www.xmpp.org/extensions/xep-0071.html ) so everybody could benefit from color.

comment:4 Changed at 2012-03-25T23:26:13Z by wilmer

Resolution: fixed
Status: newclosed

Fixed by, hmm, 3.0.4?

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.